package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.List;

/**
 * Created by Wyh on 2020/2/24.
 * 支付方式
 */
public class PaymentMethodBean {


    /**
     * success : true
     * sysTime : 1582688262337
     * data : [{"payName":"OpenRice支付","amount":0.5,"percentage":"0%"},{"payName":"信用卡","amount":3496.75,"percentage":"1.8%"},{"payName":"八達通","amount":169,"percentage":"0%"},{"payName":"員工福食","amount":13,"percentage":"0%"},{"payName":"微信HK","amount":1.1,"percentage":"0%"},{"payName":"支付寶","amount":0.1,"percentage":"0%"},{"payName":"支付寶HK","amount":0.2,"percentage":"0%"},{"payName":"現金","amount":187111.51,"percentage":"98%"},{"payName":"現金券","amount":0,"percentage":"0%"},{"payName":"簽單","amount":0,"percentage":"0%"}]
     */

    private boolean success;
    private long sysTime;
    private List<DataBean> data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * payName : OpenRice支付
         * amount : 0.5
         * percentage : 0%
         *
         */

        private String payName;
        private double amount;
        private String percentage;
        private int num;
        public String getPayName() {
            return payName;
        }

        public void setPayName(String payName) {
            this.payName = payName;
        }

        public double getAmount() {
            return amount;
        }

        public void setAmount(double amount) {
            this.amount = amount;
        }

        public String getPercentage() {
            return percentage;
        }

        public void setPercentage(String percentage) {
            this.percentage = percentage;
        }

        public int getNum() {
            return num;
        }

        public void setNum(int num) {
            this.num = num;
        }
    }
}
